# 🎉 Contributing Guidelines

Thank you for your interest in contributing to our icon repository! To ensure that everything runs smoothly, we've set out some guidelines for contributors.

## 🌟 Icon Specifications

- Each icon should include both a **PNG** and **SVG** version. If an **SVG** cannot be found, then only a **PNG** version is required.
- Each icon should be in **PNG** format and have a height of exactly **512px**. Width does not matter. ❗️(No upscales! If the correct size cannot be found, a smaller height will be accepted.)
- Icons should be named after their full name, using the [Kebab Case](https://wiki.c2.com/?KebabCase) naming convention. For example, "Facebook Messenger" should be named `facebook-messenger.png`.
- Monochrome icons should default to a dark version. Light versions should be named `service-light.png`. If a light version is not available, use [https://pinetools.com/colorize-image](https://pinetools.com/colorize-image) to change its color.


## 💻 Gitmoji Commits

- Please use [Gitmoji](https://gitmoji.dev/) in your commit messages. This helps us keep our commit history clear and easy to understand. For example, you might use the `🍱` emoji for a commit that updates an icon's color, or the `📝` emoji for a commit that updates the documentation.


## 🤝 Contributing

1. Fork the repository to your own GitHub account.
2. Clone the repository to your local machine.
3. Add your icon(s) to the repository, following the specifications listed above.
4. Push your changes to your fork.
5. Create a pull request in the main repository.

## 🚨 Code of Conduct

Please note that by contributing to this repository, you agree to abide by our code of conduct, which can be found in the [CODE_OF_CONDUCT.md](CODE_OF_CONDUCT.md) file in the repository.

---

If you have any questions or concerns, please don't hesitate to reach out to me at contact@walkx.fyi. Happy contributing! 🙌
